summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsource4/selftest/tests.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/source4/selftest/tests.sh b/source4/selftest/tests.sh
index 253f4f5592..f832b4f15e 100755
--- a/source4/selftest/tests.sh
+++ b/source4/selftest/tests.sh
@@ -118,7 +118,10 @@ for options in "" "--option=socket:testnonblock=true" "-U\$USERNAME%\$PASSWORD -
plantest "ldb.ldap with options $options" dc $bbdir/test_ldb.sh ldap \$SERVER $options
done
# see if we support ldaps
-if grep ENABLE_GNUTLS.1 include/config.h > /dev/null; then
+[ -n "$CONFIG_H" ] || {
+ CONFIG_H="include/config.h"
+}
+if grep ENABLE_GNUTLS.1 $CONFIG_H > /dev/null; then
for options in "" "-U\$USERNAME%\$PASSWORD"; do
plantest "ldb.ldaps with options $options" dc $bbdir/test_ldb.sh ldaps \$SERVER_IP $options
done